package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.core.PlatformCoreActivator;
import java.io.IOException;
import org.eclipse.core.runtime.Plugin;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.console.ConsolePlugin;
import org.eclipse.ui.console.IConsole;
import org.eclipse.ui.console.IConsoleManager;
import org.eclipse.ui.console.IConsoleView;
import org.eclipse.ui.console.MessageConsole;
import org.eclipse.ui.console.MessageConsoleStream;

public class ConsoleUtils {
  private static final String CONSOLE_NAME = "build_console";
  
  public static MessageConsole findConsole(String name) {
    ConsolePlugin plugin = ConsolePlugin.getDefault();
    IConsoleManager conMan = plugin.getConsoleManager();
    IConsole[] existing = conMan.getConsoles();
    for (int i = 0; i < existing.length; i++) {
      if (name.equals(existing[i].getName()))
        return (MessageConsole)existing[i]; 
    } 
    MessageConsole myConsole = new MessageConsole(name, null);
    conMan.addConsoles(new IConsole[] { (IConsole)myConsole });
    return myConsole;
  }
  
  public static void printMessage(String message) {
    MessageConsole myConsole = findConsole("build_console");
    MessageConsoleStream out = myConsole.newMessageStream();
    out.println(message);
    try {
      out.close();
    } catch (IOException e) {
      e.printStackTrace();
    } 
  }
  
  public static void showConsoleView() {
    MessageConsole messageConsole = findConsole("build_console");
    IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
    String id = "org.eclipse.ui.console.ConsoleView";
    try {
      IConsoleView view = (IConsoleView)page.showView(id);
      view.display((IConsole)messageConsole);
    } catch (PartInitException e) {
      PlatformCoreActivator.getLogger((Plugin)PlatformCoreActivator.getDefault())
        .logError(e.getMessage(), (Throwable)e);
    } 
  }
  
  public static void printMessage(String[] lines) {
    if (lines == null || lines.length == 0)
      return; 
    MessageConsole myConsole = findConsole("build_console");
    MessageConsoleStream out = myConsole.newMessageStream();
    for (String line : lines)
      out.println(line); 
    try {
      out.close();
    } catch (IOException e) {
      e.printStackTrace();
    } 
  }
}
